Uploaded image for project: 'Flume'
  1. Flume
  2. FLUME-2827

Duplicate declaration of hadoop-minicluster dependency

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Trivial
    • Resolution: Implemented
    • Affects Version/s: 1.6.0
    • Fix Version/s: None
    • Component/s: Technical Debt
    • Labels:
      None

      Description

      The master branch of flume has the following warning when building:

      [WARNING] Some problems were encountered while building the effective model for org.apache.flume:flume-parent:pom:1.7.0-SNAPSHOT
      [WARNING] 'profiles.profile[hbase-1].dependencyManagement.dependencies.dependency.(groupId:artifactId:type:classifier)' must be unique: org.apache.hadoop:hadoop-minicluster:jar
      -> duplicate declaration of version ${hadoop.version} @ line 255, column 23

      All that's required is deleting that second declaration.

        Attachments

        1. FLUME-2827-0.patch
          0.9 kB
          Edward Maxwell-Lyte

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              edwardmlyte@gmail.com Edward Maxwell-Lyte
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 1h
                1h
                Remaining:
                Remaining Estimate - 1h
                1h
                Logged:
                Time Spent - Not Specified
                Not Specified